commit:     3f3b817c253226061df8697b3dcc134c470e1f28
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Dec  3 00:03:54 2022 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Dec  3 00:04:10 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f3b817c

dev-lua/lua-utf8: add 0.1.5

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-lua/lua-utf8/Manifest              |  1 +
 dev-lua/lua-utf8/lua-utf8-0.1.5.ebuild | 82 ++++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/dev-lua/lua-utf8/Manifest b/dev-lua/lua-utf8/Manifest
index d96dade307df..d0a30bebc6de 100644
--- a/dev-lua/lua-utf8/Manifest
+++ b/dev-lua/lua-utf8/Manifest
@@ -1 +1,2 @@
 DIST lua-utf8-0.1.4.tar.gz 42822 BLAKE2B 
e9b2e46de28183b7e249d02af343707f06ba2d04df29ad0596823faa01c9e885a0cc71581dcc3b98807bae00b7491215ffcf9082a8ac0cc5f5bc558e2e48d113
 SHA512 
8893e4883a6eae791c7728a235c0447850ef753edb19c268c2b88ad9f5b9c485bae733afc712beff956a77ab64f7074633fc5d96ea4bb14e8c8f87e9e0ea3363
+DIST lua-utf8-0.1.5.tar.gz 47986 BLAKE2B 
8902649f71b9b2f982278bfa697309474013f4b15788e268ee73aaeb80ceda93a03178ca00918c96478fa66623dbcea8b5bde89e216d8c73a18e9fe38aec7509
 SHA512 
2f7f1e80c27012d2ebcf3da8e9367f00dda9f7b1a7d4adee265ee37ab12a78ef7c94930945e88f060f0ec4186174dd87af80a50917d3b22a71c84f67b0df12d0

diff --git a/dev-lua/lua-utf8/lua-utf8-0.1.5.ebuild 
b/dev-lua/lua-utf8/lua-utf8-0.1.5.ebuild
new file mode 100644
index 000000000000..34527a96652f
--- /dev/null
+++ b/dev-lua/lua-utf8/lua-utf8-0.1.5.ebuild
@@ -0,0 +1,82 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="A UTF-8 support module for Lua and LuaJIT"
+HOMEPAGE="https://github.com/starwing/luautf8";
+SRC_URI="https://github.com/starwing/luautf8/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${PN//-/}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="${LUA_DEPS}"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+lua_src_compile() {
+       local compiler=(
+               "$(tc-getCC)"
+               "${CFLAGS}"
+               "-fPIC"
+               "${LDFLAGS}"
+               "$(lua_get_CFLAGS)"
+               "-c lutf8lib.c"
+               "-o lutf8lib-${ELUA}.o"
+       )
+       einfo "${compiler[@]}"
+       ${compiler[@]} || die
+
+       local linker=(
+               "$(tc-getCC)"
+               "-shared"
+               "${LDFLAGS}"
+               "-o lutf8lib-${ELUA}.so"
+               "lutf8lib-${ELUA}.o"
+       )
+       einfo "${linker[@]}"
+       ${linker[@]} || die
+}
+
+src_compile() {
+       lua_foreach_impl lua_src_compile
+}
+
+lua_src_test() {
+       local mytests=(
+               "test.lua"
+               "test_compat.lua"
+               "test_pm.lua"
+       )
+
+       for mytest in ${mytests[@]}; do
+               LUA_CPATH="${S}/lutf8lib-${ELUA}.so" ${ELUA} ${mytest} || die
+       done
+}
+
+src_test() {
+       lua_foreach_impl lua_src_test
+}
+
+lua_src_install() {
+       exeinto "$(lua_get_cmod_dir)"
+       newexe "lutf8lib-${ELUA}.so" "lua-utf8.so"
+
+       insinto "$(lua_get_lmod_dir)"
+       doins parseucd.lua
+}
+
+src_install() {
+       lua_foreach_impl lua_src_install
+
+       einstalldocs
+}

Reply via email to